Rotate pipeline secret
Replaces the stored value. Requires the manage pipelines project permission.
Operation ID
rotate_pipeline_secretReplaces the stored value. Requires the manage pipelines project permission.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
pipeline_id*string
Pipeline ID
name*string
Secret name
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Replace a secret's value (rotation).
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/pipelines/string/secrets/string" \ -H "Content-Type: application/json" \ -d '{ "value": "string" }'{ "secret": { "created_at": 0, "name": "string", "pipeline_id": "string", "project_id": "string", "scope": "instance", "updated_at": 0 }}